import { FolderFlag } from "../enums/FolderFlag";

export declare class IMAPFolderNativeBinding {
    get path(): string;
    set path(path: string);
    get delimiter(): string;
    set delimiter(delimiter: string);
    description(): string;
    get flags(): FolderFlag;
    set flags(flagVals: FolderFlag);
}

export declare interface IMAPFolderNativeBindingObject {
    new(): IMAPFolderNativeBinding
    strError(errorCode: number): string
}
